> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Delete a task

DELETE https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/entries/{entry_id}/tasks/{task_id}

Deletes a task. Task creators and space admins can delete tasks.

Reference: https://contentful.com/developers/docs/references/content-management-api/entry-tasks/delete-a-task

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string
- `entry_id` (string, required) — ID of the entry in form of a string
- `task_id` (string, required) — ID of the task

### Headers

- `X-Contentful-Version` (string, required) — Version of the task to delete

## Response

### 204

No Content - Request successful, no content returned

## Examples

**SDK Code**

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

await client.task.delete({
 spaceId: '<space_id>',
 entryId: '<entry_id>',
 environmentId: '<environment_id>',
 taskId: '<task_id>',
});
```

```android Android
No snippet for this SDK.
```

```java Java
No snippet for this SDK.
```

```kotlin Kotlin
No snippet for this SDK.
```

```swift Swift
No snippet for this SDK.
```

```js-legacy JavaScript (legacy)
No snippet for this SDK.
```

```php PHP
No snippet for this SDK.
```

```ruby Ruby
No snippet for this SDK.
```

```python Python
No snippet for this SDK.
```

```.net .NET
No snippet for this SDK.
```